## org.eclipse.datatools.sqltools.sqlbuilder.input
Class SQLBuilderWindowStateFactory

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.input.SQLBuilderWindowStateFactory

All Implemented Interfaces:
  org.eclipse.ui.IElementFactory

    public class SQLBuilderWindowStateFactory

extends java.lang.Object
implements org.eclipse.ui.IElementFactory

The class implements a factory which is capable of saving and recreating a SQLBuilderWindowStateInput stored in a memento.

Field Summary
`static java.lang.String` `ID_SQL_BUILDER_STORAGE_EDITOR_INPUT_FACTORY` The Factory ID.
`static java.lang.String` `ID_XML_MEMENTO_ROOT_ELEMENT` The root element name used in `XMLMemento` objects representing `SQLBuilderStorageEditorInput` objects.
`static java.lang.String` `KEY_SECTION_HEIGHT`
`static java.lang.String` `KEY_SECTION_HIDEABLE_STATE`
`static java.lang.String` `KEY_SECTION_NAME`
`static java.lang.String` `KEY_SECTION_VISIBLE_STATE`
`static java.lang.String` `KEY_SECTION_WIDTH`
`static java.lang.String` `KEY_WINDOW_CONTROL_TYPE`
`static java.lang.String` `KEY_WINDOW_STATE_HEIGHT`
`static java.lang.String` `KEY_WINDOW_STATE_TYPE`
`static java.lang.String` `KEY_WINDOW_STATE_VERSION`
`static java.lang.String` `KEY_WINDOW_STATE_WIDTH`
`static java.lang.String` `NAME_DESIGN_VIEWER`
`static java.lang.String` `NAME_GRAPH_CONTROL`
`static java.lang.String` `NAME_OUTLINE_VIEWER`
`static java.lang.String` `NAME_SQL_SOURCE_VIEWER`

Constructor Summary
`SQLBuilderWindowStateFactory()`

Method Summary
`org.eclipse.core.runtime.IAdaptable` `createElement(org.eclipse.ui.IMemento memento)` Re-creates and returns an object from the state captured within the given memento.
`static void` `saveState(org.eclipse.ui.IMemento memento, SQLBuilderWindowStateInput windowStateInput)` Saves the state of the given window state input object in the given memento.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID_SQL_BUILDER_STORAGE_EDITOR_INPUT_FACTORY

    public static final java.lang.String ID_SQL_BUILDER_STORAGE_EDITOR_INPUT_FACTORY

  The Factory ID.

  See Also:
    Constant Field Values

### ID_XML_MEMENTO_ROOT_ELEMENT

    public static final java.lang.String ID_XML_MEMENTO_ROOT_ELEMENT

  The root element name used in `XMLMemento` objects representing `SQLBuilderStorageEditorInput` objects.

  See Also:
    Constant Field Values

### KEY_WINDOW_STATE_TYPE

    public static final java.lang.String KEY_WINDOW_STATE_TYPE

See Also:
  Constant Field Values

### KEY_WINDOW_STATE_VERSION

    public static final java.lang.String KEY_WINDOW_STATE_VERSION

See Also:
  Constant Field Values

### KEY_WINDOW_STATE_HEIGHT

    public static final java.lang.String KEY_WINDOW_STATE_HEIGHT

See Also:
  Constant Field Values

### KEY_WINDOW_STATE_WIDTH

    public static final java.lang.String KEY_WINDOW_STATE_WIDTH

See Also:
  Constant Field Values

### KEY_WINDOW_CONTROL_TYPE

    public static final java.lang.String KEY_WINDOW_CONTROL_TYPE

See Also:
  Constant Field Values

### KEY_SECTION_NAME

    public static final java.lang.String KEY_SECTION_NAME

See Also:
  Constant Field Values

### KEY_SECTION_VISIBLE_STATE

    public static final java.lang.String KEY_SECTION_VISIBLE_STATE

See Also:
  Constant Field Values

### KEY_SECTION_HIDEABLE_STATE

    public static final java.lang.String KEY_SECTION_HIDEABLE_STATE

See Also:
  Constant Field Values

### KEY_SECTION_HEIGHT

    public static final java.lang.String KEY_SECTION_HEIGHT

See Also:
  Constant Field Values

### KEY_SECTION_WIDTH

    public static final java.lang.String KEY_SECTION_WIDTH

See Also:
  Constant Field Values

### NAME_SQL_SOURCE_VIEWER

    public static final java.lang.String NAME_SQL_SOURCE_VIEWER

See Also:
  Constant Field Values

### NAME_DESIGN_VIEWER

    public static final java.lang.String NAME_DESIGN_VIEWER

See Also:
  Constant Field Values

### NAME_GRAPH_CONTROL

    public static final java.lang.String NAME_GRAPH_CONTROL

See Also:
  Constant Field Values

### NAME_OUTLINE_VIEWER

    public static final java.lang.String NAME_OUTLINE_VIEWER

See Also:
  Constant Field Values

Constructor Detail

### SQLBuilderWindowStateFactory

    public SQLBuilderWindowStateFactory()

Method Detail

### createElement

    public org.eclipse.core.runtime.IAdaptable createElement(org.eclipse.ui.IMemento memento)

  Re-creates and returns an object from the state captured within the given memento. Returns a SQLBuilderWindowStateInput.

  Specified by:
    `createElement` in interface `org.eclipse.ui.IElementFactory`
  See Also:
    `IElementFactory.createElement(org.eclipse.ui.IMemento)`

### saveState

    public static void saveState(org.eclipse.ui.IMemento memento,
                                 SQLBuilderWindowStateInput windowStateInput)

  Saves the state of the given window state input object in the given memento.

  Parameters:
    `memento` - the storage area for object's state
    `windowStateInput` - the window state input object that needs to be saved; must contain an IWindowStateInfo instance